---
key_path: >-
  redis_hll_counters.count_distinct_user_id_from_view_logs_page_and_view_metrics_details_page_and_view_metrics_page_and_view_tracing_details_page_and_view_tracing_page_monthly
description: Monthly count of unique users who interacted with observability pages (tracing, logs, metrics)
product_group: platform_insights
performance_indicator_type:
- leading_indicator
value_type: number
status: active
milestone: '17.2'
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/159129
time_frame: 28d
data_source: internal_events
data_category: optional
tiers:
- ultimate
events:
- name: view_logs_page
  unique: user.id
- name: view_metrics_details_page
  unique: user.id
- name: view_metrics_page
  unique: user.id
- name: view_tracing_details_page
  unique: user.id
- name: view_tracing_page
  unique: user.id
